Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class ConditionParamsList

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.params.ConditionParamsList

    public class ConditionParamsList

extends Object

Represents a list of conditions. An element of this type is used to construct

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">either</tt>

or

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">all</tt>

conditions.

Java class for ConditionParamsList complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConditionParamsList">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <group ref="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}Conditions" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected List<JAXBElement<?>>` | `conditions`

Constructor Summary
`ConditionParamsList()`

Method Summary
`List<JAXBElement<?>>` | `getConditions()` Gets the value of the conditions property.
`boolean` | `isSetConditions()`
`void` | `unsetConditions()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### conditions

    protected List<JAXBElement<?>> conditions

Constructor Detail

### ConditionParamsList

    public ConditionParamsList()

Method Detail

### getConditions

    public List<JAXBElement<?>> getConditions()

  Gets the value of the conditions property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the conditions property.

  For example, to add a new item, do as follows:

          getConditions().add(newItem);

  Objects of the following type(s) are allowed in the list `JAXBElement``<``IndexThreshIntWithTypeParams``>` `JAXBElement``<``ConditionParamsList``>` `JAXBElement``<``StatConditionParams``>` `JAXBElement``<``TwoIndicesWithTypesParams``>` `JAXBElement``<``TwoIndicesParams``>` `JAXBElement``<``ConditionParamsList``>` `JAXBElement``<``Named``>` `JAXBElement``<``IndexThreshWithTypeParams``>` `JAXBElement``<``TwoIndicesWithTypesParams``>` `JAXBElement``<``IndexThreshIntParams``>`

### isSetConditions

    public boolean isSetConditions()

### unsetConditions

    public void unsetConditions()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.